summaryrefslogtreecommitdiff
path: root/lib/tdb2/configure
diff options
context:
space:
mode:
authorAmitay Isaacs <amitay@gmail.com>2012-02-21 15:29:52 +1030
committerRusty Russell <rusty@rustcorp.com.au>2012-02-21 15:29:52 +1030
commitabc74723cebcab30987bb16e359645ba37eb6c95 (patch)
tree97520d405853d44653175927f854bf44d72dbbb8 /lib/tdb2/configure
parentf7b999fac0b6d00c8e60012eba3de2fd59d8c854 (diff)
downloadsamba-abc74723cebcab30987bb16e359645ba37eb6c95.tar.gz
samba-abc74723cebcab30987bb16e359645ba37eb6c95.tar.bz2
samba-abc74723cebcab30987bb16e359645ba37eb6c95.zip
lib/tdb2: Convert tdb2 to a standalone library
Adds a Makefile, configure script, and tdb2.pc.in. Signed-off-by: Amitay Isaacs <amitay@gmail.com> Signed-off-by: Rusty Russell <rusty@rustcorp.com.au>
Diffstat (limited to 'lib/tdb2/configure')
-rwxr-xr-xlib/tdb2/configure21
1 files changed, 21 insertions, 0 deletions
diff --git a/lib/tdb2/configure b/lib/tdb2/configure
new file mode 100755
index 0000000000..6a9f875511
--- /dev/null
+++ b/lib/tdb2/configure
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+PREVPATH=`dirname $0`
+
+if [ -f $PREVPATH/../../buildtools/bin/waf ]; then
+ WAF=../../buildtools/bin/waf
+elif [ -f $PREVPATH/buildtools/bin/waf ]; then
+ WAF=./buildtools/bin/waf
+else
+ echo "replace: Unable to find waf"
+ exit 1
+fi
+
+# using JOBS=1 gives maximum compatibility with
+# systems like AIX which have broken threading in python
+JOBS=1
+export JOBS
+
+cd . || exit 1
+$WAF configure "$@" || exit 1
+cd $PREVPATH